nxp's android oreo to be run on 4.1.15 but facing problems

cancel
Showing results for 
Search instead for 
Did you mean: 

nxp's android oreo to be run on 4.1.15 but facing problems

Jump to solution
165 Views
mrigendra_chaub
Contributor III
Hi
one issue i am facing and need some advice
I am trying to use sabre's automotive kernel and its version is 4.9.17
The kernel I need to port to android oreo is on 4.1.15
now they are using some gpio sysfs calls inside board files, such as,
such as gpio_sysfs_set_active_low
this function is deprecated since 4.8 and not to be found in 4.9.
I need to run android oreo on 4.1.15 and need to fit it inside nxp's android build.
Is there any android oreo repo that uses kernel 4.1.15 from nxp?
What to do here?
Labels (3)
0 Kudos
1 Solution
51 Views
gusarambula
NXP TechSupport
NXP TechSupport

Hello Mrigendra Chaubey,

All NXP Oreo BSPs use newer kernels than 4.1.15 so there is no Oreo BSP with this kernel currently supported.

While you could run Oreo on kernels lower than 4.4 it is my understanding that Google recommends 4.4 or newer due to better security. My recommendation, if your project allows, would be switching to a newer kernel version, otherwise you would need to port it to the older kernel which it’s not a trivial process.

Regards,

View solution in original post

1 Reply
52 Views
gusarambula
NXP TechSupport
NXP TechSupport

Hello Mrigendra Chaubey,

All NXP Oreo BSPs use newer kernels than 4.1.15 so there is no Oreo BSP with this kernel currently supported.

While you could run Oreo on kernels lower than 4.4 it is my understanding that Google recommends 4.4 or newer due to better security. My recommendation, if your project allows, would be switching to a newer kernel version, otherwise you would need to port it to the older kernel which it’s not a trivial process.

Regards,

View solution in original post